Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.archive.crawler.util
Class BenchmarkUriUniqFilters

    java.lang.Object
      org.archive.crawler.util.BenchmarkUriUniqFilters

All Implemented Interfaces:
  UriUniqFilter.HasUriReceiver

    public class BenchmarkUriUniqFilters

extends java.lang.Object
implements UriUniqFilter.HasUriReceiver

BenchmarkUriUniqFilters

Author:
  gojomo

Field Summary
`(package private) java.lang.String` | `current`

Constructor Summary
`BenchmarkUriUniqFilters()`

Method Summary
`void` | `instanceMain(java.lang.String[] args)`
`static void` | `main(java.lang.String[] args)` Test the UriUniqFilter implementation (MemUriUniqFilter, BloomUriUniqFilter, or BdbUriUniqFilter) named in first argument against the file of one-per-line URIs named in the second argument.
`void` | `receive(CandidateURI item)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### current

    java.lang.String current

Constructor Detail

### BenchmarkUriUniqFilters

    public BenchmarkUriUniqFilters()

Method Detail

### main

    public static void main(java.lang.String[] args)
                     throws java.io.IOException

  Test the UriUniqFilter implementation (MemUriUniqFilter, BloomUriUniqFilter, or BdbUriUniqFilter) named in first argument against the file of one-per-line URIs named in the second argument.

  Parameters:
    `args` - from cmd-line
  Throws:
    `java.io.IOException`

### instanceMain

    public void instanceMain(java.lang.String[] args)
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

### receive

    public void receive(CandidateURI item)

  Specified by:
    `receive` in interface `UriUniqFilter.HasUriReceiver`
  Parameters:
    `item` - Candidate uri tem that is 'visiting'.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Internet Archive. All Rights Reserved.